%%funkcija koja izvede predsimulaciju kako bi znali u kojim granicama
%%crtati 
function max = maxskok(data,pi,rv,rz,g,T,d,Tend)

brKug = size(data,1);       %odreivanje broja kuglica iz podatkovne matrice
h = zeros(brKug,Tend/T);    %matrica visina svih kuglica u svim trenutcima
v = zeros(brKug,Tend/T);    %matrica brzina svih kuglica u svim trenutcima
maxh = zeros(1,brKug);

v(:,1) = 0;             %poetni uvjeti za simulaciju
v(:,2) = 0;

for j = 1:brKug
    h(j,1) = data(j,3);     %postavljanje poetne dubine svih kuglica
    h(j,2) = data(j,3);
    maxh(j) = data(j,3);    %vektor maksimalnih visina svih kuglica inicijalno postavlje na poetnu dubinu
end
    
m = data(:,1);              %vektor masa kuglica
r = data(:,2);              %vektor radijusa kuglica

for i = 3:1:Tend/T
    
    for j = 1:brKug
        
        h(j,i) = ((T^2)/m(j))*(uzgon(h(j,i-1),r(j),pi,rv,rz,g) - otpor(h(j,i-1),v(j,i-1),r(j),rv,rz,d) - m(j) * g) + 2 * h(j,i-1) - h(j,i-2);
        %Provedba simulacije
        v(j,i) = 1/T*(h(j,i)-h(j,i-1)); 
        
        if (h(j,i) > maxh(j))       %trenutna dubina kuglice je manja od max
            maxh(j) = h(j,i);       %stoga trenutnu postavljamo kao max
        end
    end
end

max = maxh(1);              %Postavljamo prvi lan vektora kao najvei       
for i = 1:brKug     
    if (maxh(i)> max)       %usporedba najveega sa trenutnim       
        max = maxh(i);      %ako je trenutni vei, onda je max jednak trenutnom       
    end
end