function v = simulatorDana(data,pi,rv,rz,g,T,d,Tend,draw)

brKug = size(data,1); %broj kuglica je broj redaka matrice podataka
h = zeros(brKug,Tend/T);    %stvaranje matrica za pohranu poloaja i brzina
v = zeros(brKug,Tend/T);    

%% Poetni uvjeti
v(:,1) = 0;     
v(:,2) = 0;
for j = 1:brKug
    h(j,1) = data(j,3);
    h(j,2) = data(j,3);
end
%%    
m = data(:,1);  %vektor masa je prvi stupac podatkovne matrice
r = data(:,2);  %vektor radijusa je prvi stupac podatkovne matrice

minh = min(data(:,3));      %odreivanje minimuma visine za graf
max = maxskok(data,pi,rv,rz,g,T,d,Tend)    %odreivanje maksimuma visine za graf


y = linspace(1,Tend,T/Tend); %proirenje koje se ne koristi 

if (draw == 1) 
    close all;
    figure('name','Poloaj kuglice','NumberTitle','off') 
end;
    
ch = zeros(1,brKug);    %varijabla koja omoguuje romjenu mase u najvioj i najnioj toki
for i = 3:1:Tend/T
    
    for j = 1:brKug
        
        h(j,i) = ((T^2)/m(j))*(uzgon(h(j,i-1),r(j),pi,rv,rz,g) - otpor(h(j,i-1),v(j,i-1),r(j),rv,rz,d) - m(j) * g) + 2 * h(j,i-1) - h(j,i-2);
        
        v(j,i) = 1/T*(h(j,i)-h(j,i-1)); %raunanje poloaja i brzine kuglice
    
        if ((draw == 1) && (mod(i,17) == 0))    %crtanje j kuglice u svakom 17om i-tom trenutku
                plot(j, h(j,i), '-.dk');
                xlim([0 brKug+1]);              %granice za x
                ylim([minh-1 max+1]);           %granice za y
                drawnow;
                %pause(1/200);                  &nema potrebe za pauzom
                hold on;
                
        end
            
        if ((v(j,i) < 0) && (ch(j) == 0))       %promjena gustoe tijela
            temp(j) = m(j);                     %pohrana vektora masa zbog nadolazee promijene
            m(j) = 3 * 4188.79 * (r(j))^3;      %novom masom gustoa kuglice postaje 3 puta vea od gustoe mora
            ch(j) = 1;                          %onemoguavanje daljnjih poveanja mase prije njena smanjenja
        end
        if ((h(j,i) < h(j,1)) && (ch(j) == 1))  
            m(j) = temp(j);                     %vraanje poetne mase na poetnoj dubini
            ch(j) = 0;                          %omoguavanje ponovnog poveanja 
        end
        
            
    end
    hold off;
    
end


