%%Skripta poziva Matematiki model kuglice u simulinku svaki put sa
%%drugaije poetne dubine i srta dva grafa
%%Problem je to kuglica.mdl model u simulinku iz nepoznatog razloga ne
%%radi na nekim raunalima (moda je problem u C-compileru)
%% Postavljanje parametara simunacije
radius = 0.1; 
masa = 0.8;
imax = -1;        %Poetna dubina
imin = -0.1;      %Krajnja dubina
istep = 0.1;      %Korak promjene poetne dubine
rezul = zeros(2, (imin-imax)/istep+1);  %Matrica s zabiljeenim visinama skoka
i = 1;          %Pozicija u matrici, tj. trenutna simulacija
%% Postavljanje parametara simunacije
load_system('kuglica')
set_param('kuglica/Gain','Gain', num2str(1/masa))
set_param('kuglica/Gain1','Gain', num2str(1/masa))
set_param('kuglica/Radius','value', num2str(radius))
close all       %Zatvaranje upaljenih slika i stvaranje nove
figure('name','Dinamika kuglice i Ovisnost visine skoka o poetnoj dubini','NumberTitle','off');
for init = imax:istep:imin      %Simuliranje skoka u zatvorenoj petnji
    
    set_param('kuglica/Integrator1','InitialCondition', num2str(init)) %Promjena parametra
    
    sim ('kuglica.mdl', 15)        %simulacija
        hold on;
        subplot(2,2,1);             %Crtanje svih izranjanja
        plot(time,izlaz,'color',rand(1,3));
        legendInfo{i} = ['Poetna Dubina = ' num2str(init)];
        grid on
        xlabel('Vrijeme, s');
        ylabel('Pomak, m');
        title('Dinamika kuglice');
    rezul(2,i)= max(izlaz); %Pohrana visine skoka u matricu
    rezul(1,i)= init;       %Pohrana indeksa simulacije u matricu
    i = i + 1;              %%index_simulacije++
end
legend(legendInfo)
subplot(2,2,2);     %crtanje visina svih skoka na jednom grafu
plot(rezul(1,:),rezul(2,:));
grid on
xlabel('Poetna dubina, m');
ylabel('Visina skoka, m');
title('Visina skoka u ovisnosti o poetnoj dubini');